Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class I3DField

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IField
                  igeo.I3DField

All Implemented Interfaces:
  I3DFieldI, IDynamics, IFieldI, ISubobject

Direct Known Subclasses:
  IAttractor, ICompoundField, ICurveAttractorField, ICurveCurlField, ICurvePositionField, ICurveTangentField, IGravity, IPlaneAttractorField, IPointCurlField, ISurfaceAttractorField, ISurfaceNormalField, ISurfacePositionField, ISurfaceSlopeField, ISurfaceUTangentField, ISurfaceVTangentField

    public class I3DField

extends IField
implements I3DFieldI

3D vector filed agent.

Author:
  Satoru Sugihara

Field Summary
`I3DFieldI` | `field`

Fields inherited from class igeo.IField
`targetClasses`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`I3DField(I3DFieldI f)`

Method Summary
`void` | `applyField(IParticleI p)`
`I3DField` | `bidirectional(boolean b)` if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
`I3DField` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`void` | `del()` delete agent and stop it by removing it from dynamics server
`void` | `del(boolean deleteGeometry)` stop agent with option of deleting/keeping the geometry the agent owns
`I3DFieldI` | `field()`
`I3DField` | `gauss(double threshold)` alias of gaussianDecay
`I3DField` | `gaussian(double threshold)` alias of gaussianDecay
`I3DField` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`IVecI` | `get(IVecI pt)` get field value at 3D location
`IVecI` | `get(IVecI pt, IVecI vel)` default field vector ignoreing velocity
`double` | `intensity()` get output intensity
`I3DField` | `intensity(double i)` set output intensity
`I3DField` | `linear(double threshold)` alias of linearDecay
`I3DField` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
`I3DField` | `noDecay()` set no decay
`double` | `threshold()` get decay threshold
`I3DField` | `threshold(double t)` set decay threshold

Methods inherited from class igeo.IField
`clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, hide, hsb, hsb, hsb, hsb, interact, isTarget, isTargetClass, layer, name, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetClass, targetClass, weight, weight`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    public I3DFieldI field

Constructor Detail

### I3DField

    public I3DField(I3DFieldI f)

Method Detail

### get

    public IVecI get(IVecI pt)

  Description copied from interface: `I3DFieldI`
  get field value at 3D location

  Specified by:
    `get` in interface `I3DFieldI`
  Specified by:
    `get` in interface `IFieldI`

### get

    public IVecI get(IVecI pt,
                     IVecI vel)

  Description copied from class: `IField`
  default field vector ignoreing velocity

  Specified by:
    `get` in interface `I3DFieldI`
  Specified by:
    `get` in interface `IFieldI`
  Overrides:
    `get` in class `IField`

### applyField

    public void applyField(IParticleI p)

  Specified by:
    `applyField` in class `IField`

### field

    public I3DFieldI field()

### noDecay

    public I3DField noDecay()

  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`

### linearDecay

    public I3DField linearDecay(double threshold)

  set linear decay with threshold; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`

### linear

    public I3DField linear(double threshold)

  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`

### gaussianDecay

    public I3DField gaussianDecay(double threshold)

  set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`

### gaussian

    public I3DField gaussian(double threshold)

  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`

### gauss

    public I3DField gauss(double threshold)

  alias of gaussianDecay

  Specified by:
    `gauss` in interface `IFieldI`

### constantIntensity

    public I3DField constantIntensity(boolean b)

  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`

### bidirectional

    public I3DField bidirectional(boolean b)

  if bidirectional is on, field force vector is flipped when velocity of particle is going opposite

  Specified by:
    `bidirectional` in interface `IFieldI`

### threshold

    public I3DField threshold(double t)

  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`

### threshold

    public double threshold()

  get decay threshold

  Specified by:
    `threshold` in interface `IFieldI`

### intensity

    public I3DField intensity(double i)

  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`

### intensity

    public double intensity()

  get output intensity

  Specified by:
    `intensity` in interface `IFieldI`

### del

    public void del()

  Description copied from class: `IAgent`
  delete agent and stop it by removing it from dynamics server

  Specified by:
    `del` in interface `IFieldI`
  Overrides:
    `del` in class `IAgent`

### del

    public void del(boolean deleteGeometry)

  stop agent with option of deleting/keeping the geometry the agent owns

  Overrides:
    `del` in class `IAgent`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD